<?php

namespace App\Models;

use App\Models\ModelEntity;
use App\Entities\Extorno\Extorno;

class ExtornoModel extends ModelEntity {
	protected $table = 'extorno';
	protected $primaryKey = 'id';
	protected $returnType = 'array';
	protected $allowedFields = [ 
			'id_comanda',
			'id_tipo_extorno',
			'valor',
			'criado_por',
			'data_criacao',
			'hora_criacao',
			'observacao'
	];
	protected $useSoftDeletes = false;
	protected $skipValidation = true;
	protected $useTimestamps = false;
	
	public function registerExtorno (Extorno &$extorno) : void {
		$data = $extorno->toArray();
		unset($data['id']);
		$id_new_extorno = $this->insert($data);
		$extorno->setId($id_new_extorno);
	}

}

